#include <fcntl.h>
#include <errno.h>
#include <stdio.h>
#include "Errors.h"
#include <unistd.h>
#include "Constants.h"
#include "Swap_File.h"

/*
** make_swap_file: write datas in the SWAP file for the plugs ins
*/
int		make_swap_file(buf, size)
void		*buf;
unsigned int	size;
{
  int	fd;

  if ((fd = open(swap_file, O_CREAT | O_TRUNC | O_RDWR, 0666)) == -1)
    {
#ifdef TEXT_MSG
      printf("Erreur lors de la creation de %s; errno = %d\n", swap_file, errno);
#endif
      gmurf_errno = BAD_CREAT;
    }
  else
    if (write(fd, buf, size) == -1)
      {
#ifdef TEXT_MSG
	printf("Erreur lors de l'ecriture dans %s; fd = %d, errno = %d\n", swap_file, fd, errno);
#endif
	gmurf_errno = BAD_READ;
      }
    else 
      if (close(fd) == -1)
	{
#ifdef TEXT_MSG
	  printf("Ereur lors de la fermeture du fichier %s; errno = %d\n", swap_file, errno);
#endif
	  gmurf_errno = BAD_CLOSE;
	}
      else
	return(0);

  return(-1);
}

/*
** load_swap_file: load the datas that the plug in return in the SWAP file
*/
int		load_swap_file(buf, size)
void		*buf;
unsigned int	size;
{
  int fd;

  if ((fd = open(swap_file, O_RDWR/*, 0666*/)) == -1)
    {
#ifdef TEXT_MSG
      printf("Erreur lors de la lecture de %s; errno = %d\n", swap_file, errno);
#endif
      gmurf_errno = BAD_OPEN;
    }
  else
    if (read(fd, buf, size) == -1)
      {
#ifdef TEXT_MSG
	printf("Erreur lors de la lecture dans %s; fd = %d, errno = %d\n", swap_file, fd, errno);
#endif
	gmurf_errno = BAD_READ;
      }
    else 
      if (close(fd) == -1)
	{
#ifdef TEXT_MSG
	  printf("Erreur lors de la fermeture du fichier %s; errno = %d\n", swap_file, errno);
#endif
	  gmurf_errno = BAD_CLOSE;
	}
      else
	return(0);

  return(-1);
}








